<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Hit_MeatBones Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d59/class_hit___meat_bones.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">Hit_MeatBones Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Hit_MeatBones:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d4/d59/class_hit___meat_bones.png" usemap="#Hit_5FMeatBones_map" alt=""/>
  <map id="Hit_5FMeatBones_map" name="Hit_5FMeatBones_map">
<area href="../../d3/ddb/class_eff_bullet_impact_base.html" alt="EffBulletImpactBase" shape="rect" coords="327,0,535,24"/>
<area href="../../de/d0e/class_hit___meat_bones___melee_fist.html" alt="Hit_MeatBones_MeleeFist" shape="rect" coords="0,112,208,136"/>
<area href="../../df/d3c/class_hit___meat_bones___melee_pipe_wrench.html" alt="Hit_MeatBones_MeleePipeWrench" shape="rect" coords="218,112,426,136"/>
<area href="../../d2/d77/class_hit___meat_bones___melee_shovel.html" alt="Hit_MeatBones_MeleeShovel" shape="rect" coords="436,112,644,136"/>
<area href="../../d9/da8/class_hit___meat_bones___melee_wrench.html" alt="Hit_MeatBones_MeleeWrench" shape="rect" coords="654,112,862,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:af44e5d79c8583a214a0405052eec20cb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d59/class_hit___meat_bones.html#af44e5d79c8583a214a0405052eec20cb">Hit_MeatBones</a> ()</td></tr>
<tr class="separator:af44e5d79c8583a214a0405052eec20cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad11fafb71674da25dbb92e068481c7ea"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d59/class_hit___meat_bones.html#ad11fafb71674da25dbb92e068481c7ea">CalculateStoppingForce</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> in_speedf, <a class="el" href="../../d4/dc3/classfloat.html">float</a> out_speedf, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ammoType, <a class="el" href="../../d4/dc3/classfloat.html">float</a> weight)</td></tr>
<tr class="separator:ad11fafb71674da25dbb92e068481c7ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2408075418bda1436d5fa28dabdf4604"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d59/class_hit___meat_bones.html#a2408075418bda1436d5fa28dabdf4604">Event_OnStarted</a> ()</td></tr>
<tr class="separator:a2408075418bda1436d5fa28dabdf4604"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7adf237f74657e5300b66418ace74ba0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d59/class_hit___meat_bones.html#a7adf237f74657e5300b66418ace74ba0">BloodSplatGround</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> start_pos, <a class="el" href="../../d7/dfc/classvector.html">vector</a> speed_vector, <a class="el" href="../../d4/dc3/classfloat.html">float</a> decay_coef)</td></tr>
<tr class="separator:a7adf237f74657e5300b66418ace74ba0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94296c20005f120a2f1c0e789a624cbc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d59/class_hit___meat_bones.html#a94296c20005f120a2f1c0e789a624cbc">BloodSplatWall</a> ()</td></tr>
<tr class="separator:a94296c20005f120a2f1c0e789a624cbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73b01b0278efcbbb94d5507905e8d2e5"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d59/class_hit___meat_bones.html#a73b01b0278efcbbb94d5507905e8d2e5">OnEnterCalculations</a> (<a class="el" href="../../de/d85/class_particle.html">Particle</a> p)</td></tr>
<tr class="separator:a73b01b0278efcbbb94d5507905e8d2e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfb90d4c7d5bc0d3bd57f202ddf37b28"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d59/class_hit___meat_bones.html#abfb90d4c7d5bc0d3bd57f202ddf37b28">OnExitCalculations</a> (<a class="el" href="../../de/d85/class_particle.html">Particle</a> p, <a class="el" href="../../d4/dc3/classfloat.html">float</a> outSpeedf)</td></tr>
<tr class="separator:abfb90d4c7d5bc0d3bd57f202ddf37b28"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7d9fecd33ae9afce40906e9cc8cebc9e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d59/class_hit___meat_bones.html#a7d9fecd33ae9afce40906e9cc8cebc9e">m_ScalingByDistance</a></td></tr>
<tr class="separator:a7d9fecd33ae9afce40906e9cc8cebc9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html#l00001">1</a> of file <a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html">Hit_MeatBones.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af44e5d79c8583a214a0405052eec20cb" name="af44e5d79c8583a214a0405052eec20cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af44e5d79c8583a214a0405052eec20cb">&#9670;&#160;</a></span>Hit_MeatBones()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Hit_MeatBones::Hit_MeatBones </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html#l00005">5</a> of file <a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html">Hit_MeatBones.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a7adf237f74657e5300b66418ace74ba0" name="a7adf237f74657e5300b66418ace74ba0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7adf237f74657e5300b66418ace74ba0">&#9670;&#160;</a></span>BloodSplatGround()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Hit_MeatBones::BloodSplatGround </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>start_pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>speed_vector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>decay_coef</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html#l00068">68</a> of file <a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html">Hit_MeatBones.c</a>.</p>

</div>
</div>
<a id="a94296c20005f120a2f1c0e789a624cbc" name="a94296c20005f120a2f1c0e789a624cbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94296c20005f120a2f1c0e789a624cbc">&#9670;&#160;</a></span>BloodSplatWall()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Hit_MeatBones::BloodSplatWall </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html#l00103">103</a> of file <a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html">Hit_MeatBones.c</a>.</p>

</div>
</div>
<a id="ad11fafb71674da25dbb92e068481c7ea" name="ad11fafb71674da25dbb92e068481c7ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad11fafb71674da25dbb92e068481c7ea">&#9670;&#160;</a></span>CalculateStoppingForce()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d4/dc3/classfloat.html">float</a> Hit_MeatBones::CalculateStoppingForce </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>in_speedf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>out_speedf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>ammoType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>weight</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html#l00019">19</a> of file <a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html">Hit_MeatBones.c</a>.</p>

</div>
</div>
<a id="a2408075418bda1436d5fa28dabdf4604" name="a2408075418bda1436d5fa28dabdf4604"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2408075418bda1436d5fa28dabdf4604">&#9670;&#160;</a></span>Event_OnStarted()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Hit_MeatBones::Event_OnStarted </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html#l00051">51</a> of file <a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html">Hit_MeatBones.c</a>.</p>

</div>
</div>
<a id="a73b01b0278efcbbb94d5507905e8d2e5" name="a73b01b0278efcbbb94d5507905e8d2e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73b01b0278efcbbb94d5507905e8d2e5">&#9670;&#160;</a></span>OnEnterCalculations()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Hit_MeatBones::OnEnterCalculations </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html#l00128">128</a> of file <a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html">Hit_MeatBones.c</a>.</p>

</div>
</div>
<a id="abfb90d4c7d5bc0d3bd57f202ddf37b28" name="abfb90d4c7d5bc0d3bd57f202ddf37b28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abfb90d4c7d5bc0d3bd57f202ddf37b28">&#9670;&#160;</a></span>OnExitCalculations()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Hit_MeatBones::OnExitCalculations </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>outSpeedf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html#l00179">179</a> of file <a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html">Hit_MeatBones.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a7d9fecd33ae9afce40906e9cc8cebc9e" name="a7d9fecd33ae9afce40906e9cc8cebc9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d9fecd33ae9afce40906e9cc8cebc9e">&#9670;&#160;</a></span>m_ScalingByDistance</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> Hit_MeatBones::m_ScalingByDistance</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html#l00003">3</a> of file <a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html">Hit_MeatBones.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Effects/EffectParticle/BulletImpactBase/<a class="el" href="../../d2/dd4/_hit___meat_bones_8c_source.html">Hit_MeatBones.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d4/d59/class_hit___meat_bones.html">Hit_MeatBones</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
